| Home | Libraries | People | FAQ | More

## Function template parse_command_line

boost::program_options::parse_command_line

## Synopsis

    // In header: <boost/program_options/parsers.hpp>

    template<typename charT>
      basic_parsed_options< charT >
      parse_command_line(int argc, const charT *const argv,
                         const options_description &, int style = 0,
                         function1< std::pair< std::string, std::string >, const std::string & > ext = ext_parser());

## Description

Creates instance of 'command_line_parser', passes parameters to it, and returns the result of calling the 'run' method.